#ifndef ATL_zGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,120,280,600,760,840,920,1080,1240
 * N : 25,120,280,600,760,840,920,1080,1240
 * NB : 9,12,12,12,12,12,16,40,24
 */
#define ATL_zGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 72) (nb_) = 9; \
   else if ((n_) < 880) (nb_) = 12; \
   else if ((n_) < 1000) (nb_) = 16; \
   else if ((n_) < 1160) (nb_) = 40; \
   else (nb_) = 24; \
}


#endif    /* end ifndef ATL_zGetNB_geqrf */
